Change log for fsniper package in Ubuntu

16 of 6 results
Published in impish-release
Published in hirsute-release
Published in groovy-release
Published in focal-release
Obsolete in eoan-release
Obsolete in disco-release
Deleted in disco-proposed (Reason: moved to release)
fsniper (1.3.1-0ubuntu5) disco; urgency=medium

  * d/p/union_wait.patch: Fix FTBFS against glibc 2.24+ by using int instead
    of removed union wait type.

 -- Logan Rosen <email address hidden>  Wed, 09 Jan 2019 21:23:30 -0500

Available diffs

Superseded in disco-release
Obsolete in cosmic-release
Published in bionic-release
Obsolete in artful-release
Obsolete in zesty-release
Obsolete in yakkety-release
Published in xenial-release
Deleted in xenial-proposed (Reason: moved to release)
fsniper (1.3.1-0ubuntu4) xenial; urgency=medium

  * debian/rules:
    - Modernize, use dh sequencer.
    - Use dh-autoreconf.
  * debian/source/format: Indicate 3.0 (quilt) format.
  * debian/compat: Bump to 9.
  * debian/control:
    - Build-depend on debhelper (>= 9).
    - Build-depend on dh-autoreconf instead of autotools-dev.
    - Don't build-depend on quilt.
    - Add Homepage field.
    - Bump Standards-Version to 3.9.6.
  * debian/README.source: Remove, as it's unnecessary with 3.0 (quilt).
  * debian/copyright: Change to DEP-5 format.
  * debian/patches/string_format.patch: Cherrypick patch from upstream Git to
    fix FTBFS with -Werror=format-security.

 -- Logan Rosen <email address hidden>  Sat, 05 Dec 2015 03:31:13 -0500

Available diffs

Superseded in xenial-release
Obsolete in wily-release
Obsolete in vivid-release
Obsolete in utopic-release
Published in trusty-release
Obsolete in saucy-release
Obsolete in raring-release
Obsolete in quantal-release
Published in precise-release
Obsolete in oneiric-release
Obsolete in natty-release
Obsolete in maverick-release
Obsolete in lucid-release
fsniper (1.3.1-0ubuntu3) lucid; urgency=low

  * debian/control:Fixed Typo in Description (LP: #486612)
  * Update Standard-Version to 3.8.3
 -- Lennart Brinkmann <email address hidden>   Mon, 25 Jan 2010 18:09:27 +0100

Available diffs

Superseded in lucid-release
Obsolete in karmic-release
fsniper (1.3.1-0ubuntu2) karmic; urgency=low

  * SECURITY UPDATE: Permissions of PID file are set on current
    umask rather than 600. (LP: #403116)
    - debian/patches/pid_file_permissons_to_600.patch: adjust
      src/main.c to set permissions of PID to 600. Based on
      upstream patch.
  * SECURITY UPDATE: Quotation marks not safely checked in
    filenames. (LP: #403113)
    - debian/patches/singlequote_doublequote_issue.patch:
      adjust src/handle_event.c to include checking for both
      single and double quotation marks.  Based on upstream
      patch.
  * Added quilt support to manage patches.
  * Bumped Debian package Standards-Version to 3.8.2

 -- Dave Walker (Daviey) <email address hidden>   Fri, 24 Jul 2009 21:59:07 +0100

Available diffs

Obsolete in jaunty-updates
Obsolete in jaunty-security
fsniper (1.3.1-0ubuntu1.1) jaunty-security; urgency=low

  * SECURITY UPDATE: Permissions of PID file are set on current
    umask rather than 600. (LP: #403116)
    - debian/patches/pid_file_permissons_to_600.patch: adjust
      src/main.c to set permissions of PID to 600. Based on
      upstream patch.
  * SECURITY UPDATE: Quotation marks not safely checked in
    filenames. (LP: #403113)
    - debian/patches/singlequote_doublequote_issue.patch:
      adjust src/handle_event.c to include checking for both
      single and double quotation marks.  Based on upstream
      patch.
  * Added quilt support to manage patches.
  * Bumped Debian package Standards-Version to 3.8.2

 -- Dave Walker (Daviey) <email address hidden>   Fri, 24 Jul 2009 21:59:07 +0100
Superseded in karmic-release
Obsolete in jaunty-release
fsniper (1.3.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #260031)
  * Authored manpages fsniper.1 and fsniper.5

 -- Tanguy Herrmann (dolanor) <email address hidden>   Thu, 29 Jan 2009 01:03:00 +0100
16 of 6 results